Package ghidra.program.model.lang

# Class InstructionError

java.lang.Object
ghidra.program.model.lang.InstructionError

public class InstructionError extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `InstructionError.InstructionErrorType`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `dumpInstructionDifference(Instruction newInst, Instruction existingInstr)`
  `Address`
  `getConflictAddress()`
  `String`
  `getConflictMessage()`
  `Address`
  `getFlowFromAddress()`
  `Address`
  `getInstructionAddress()`
  `InstructionBlock`
  `getInstructionBlock()`
  `InstructionError.InstructionErrorType`
  `getInstructionErrorType()`
  `RegisterValue`
  `getParseContextValue()`
  `boolean`
  `isInstructionConflict()`
  `boolean`
  `isOffcutError()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getInstructionBlock

    public InstructionBlock getInstructionBlock()
    Returns:
      instruction block which corresponds to this error

  - ### getInstructionErrorType

    public InstructionError.InstructionErrorType getInstructionErrorType()
    Returns:
      type of instruction error

  - ### isInstructionConflict

    public boolean isInstructionConflict()

  - ### isOffcutError

    public boolean isOffcutError()

  - ### getInstructionAddress

    public Address getInstructionAddress()
    Returns:
      address of new intended instruction which failed to be created (never null)

  - ### getConflictAddress

    public Address getConflictAddress()
    Returns:
      address of another code unit which conflicts with intended instruction (required for CODE_UNIT and DUPLCIATE errors, null for others)

  - ### getParseContextValue

    public RegisterValue getParseContextValue()
    Returns:
      disassembler context at intended instruction address (required for PARSE error, null for others)

  - ### getFlowFromAddress

    public Address getFlowFromAddress()
    Returns:
      flow-from address if know else null

  - ### getConflictMessage

    public String getConflictMessage()
    Returns:
      instruction error message

  - ### dumpInstructionDifference

    public static void dumpInstructionDifference(Instruction newInst, Instruction existingInstr)